import Cookies from 'js-cookie'

const TokenKey = 'Purchase-Console-Token'
const MenuKey = 'Purchase-Console-Menu'
const BtnKey = 'Purchase-Console-MenuBtn'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getMenu() {
  const menu = Cookies.get(MenuKey)
  if (menu) {
    return JSON.parse(menu)
  } else {
    return []
  }
}

export function setMenu(menu) {
  return Cookies.set(MenuKey, menu)
}

export function removeMenu() {
  return Cookies.remove(MenuKey)
}

export function getBtn() {
  return Cookies.get(BtnKey)
}

export function setBtn(has) {
  return Cookies.set(BtnKey, has)
}

export function removeBtn() {
  return Cookies.remove(BtnKey)
}
